%define Name docbook-style-dsssl
%define Version 1.57

Name        	: %{Name}
Version     	: %{Version}
Release     	: 1mdk
Group       	: Publishing

Summary     	: Norman Walsh\'s modular stylesheets for DocBook.

Copyright   	: Distributable
URL         	: http://www.nwalsh.com/docbook/dsssl/

Requires	: jade >= 1.2.1
Requires	: docbook-dtd-sgml
Prereq		: sgml-common >= 0.2
Prereq		: jade

BuildRoot   	: %{_tmppath}/%{name}-buildroot 

BuildArch	: noarch
Source0		: http://www.nwalsh.com/docbook/dsssl/db157.tar.bz2
Source1		: http://www.nwalsh.com/docbook/dsssl/db157d.tar.bz2

%define sgmlbase %{_prefix}/share/sgml/ 

%Description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%package doc
Summary         : Documentation for DocBook stylesheets
Group       	: Publishing

%description doc
This package contains the documentation for these stylesheets:
structure, customization, etc.

%Prep
%setup -n docbook
%setup -T -D -b 1 -n docbook

%Build


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR%{_bindir}
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/test
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images

cd $RPM_BUILD_DIR/docbook

install bin/collateindex.pl $DESTDIR%{_bindir}
install catalog $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/
install dtds/decls/docbook.dcl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls/
install lib/dblib.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib/
install VERSION $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/VERSION
install common/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common/
install common/*.ent $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common/
install html/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html/
install lib/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib/
install print/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print/
install test/*.dsl $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/test/
install test/*.sgm $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/test/
install test/*.css $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/test/
install images/*.gif $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images/


cd ..


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (-,root,root)
%doc BUGS TODO README
%doc ChangeLog WhatsNew
%{_bindir}/collateindex.pl
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/catalog
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/dtds/decls/docbook.dcl
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/lib/dblib.dsl
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/VERSION
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/common/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/html/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/print/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/test/*
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/images/*

%Files doc
%defattr (-,root,root)
%doc doc docsrc

%Post
for centralized in /etc/sgml/sgml-docbook-*.cat; do
    %{_bindir}/install-catalog --add $centralized %{sgmlbase}/openjade-*/catalog
    %{_bindir}/install-catalog --add $centralized %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/catalog
done


%Postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in /etc/sgml/sgml-docbook-*.cat; do
	%{_bindir}/install-catalog --remove $centralized %{sgmlbase}/openjade-*/catalog
	%{_bindir}/install-catalog --remove $centralized %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/catalog
    done
fi

%changelog

* Wed Aug 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.57-1mdk
- 1.57

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-3mdk
- Prereq : sgml-common >= 0.2

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-2mdk
- install openjade's catalog, not jade's

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-1mdk
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance